import Foundation
import HTTPNetworking

struct TestRequest: HTTPRequest {
    typealias ResponseType = TestResponse

    var baseUrl: String
    var pathComponents: [String]
    var method: HTTPMethod
    var query: [String: String]?
    var body: Data?
    var headers: [String: String]?
}

struct TestResponse: Response {
    typealias OutputType = Example

    init(input: Data, response: HTTPURLResponse?) throws {

    }
}

struct Example: Decodable {
    let title: String
    let text: String
}
